API Documentation
Kuali Research REST APIs - Common
Research Common ¶
Answer Headers ¶
Get Answer Headers by KeyGET/research-common/api/v1/answer-headers/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"completed": "(val)",
"id": "(val)",
"moduleItemCode": "(val)",
"moduleItemKey": "(val)",
"moduleSubItemCode": "(val)",
"moduleSubItemKey": "(val)",
"questionnaireId": "(val)",
"_primaryKey": "(val)"
}Get All Answer HeadersGET/research-common/api/v1/answer-headers/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"completed": "(val)",
"id": "(val)",
"moduleItemCode": "(val)",
"moduleItemKey": "(val)",
"moduleSubItemCode": "(val)",
"moduleSubItemKey": "(val)",
"questionnaireId": "(val)",
"_primaryKey": "(val)"
},
{
"completed": "(val)",
"id": "(val)",
"moduleItemCode": "(val)",
"moduleItemKey": "(val)",
"moduleSubItemCode": "(val)",
"moduleSubItemKey": "(val)",
"questionnaireId": "(val)",
"_primaryKey": "(val)"
}
]Get All Answer Headers with FilteringGET/research-common/api/v1/answer-headers/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- completed
string(optional)- id
string(optional)- moduleItemCode
string(optional)- moduleItemKey
string(optional)- moduleSubItemCode
string(optional)- moduleSubItemKey
string(optional)- questionnaireId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"completed": "(val)",
"id": "(val)",
"moduleItemCode": "(val)",
"moduleItemKey": "(val)",
"moduleSubItemCode": "(val)",
"moduleSubItemKey": "(val)",
"questionnaireId": "(val)",
"_primaryKey": "(val)"
},
{
"completed": "(val)",
"id": "(val)",
"moduleItemCode": "(val)",
"moduleItemKey": "(val)",
"moduleSubItemCode": "(val)",
"moduleSubItemKey": "(val)",
"questionnaireId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Answer HeadersGET/research-common/api/v1/answer-headers/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"completed",
"id",
"moduleItemCode",
"moduleItemKey",
"moduleSubItemCode",
"moduleSubItemKey",
"questionnaireId"
],
"primaryKey": "id"
}Get Blueprint API specification for Answer HeadersGET/research-common/api/v1/answer-headers/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Answer Headers.md"
transfer-encoding: chunkedUpdate Answer HeadersPUT/research-common/api/v1/answer-headers/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"completed": "(val)",
"id": "(val)",
"moduleItemCode": "(val)",
"moduleItemKey": "(val)",
"moduleSubItemCode": "(val)",
"moduleSubItemKey": "(val)",
"questionnaireId": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Answer HeadersPUT/research-common/api/v1/answer-headers/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"completed": "(val)",
"id": "(val)",
"moduleItemCode": "(val)",
"moduleItemKey": "(val)",
"moduleSubItemCode": "(val)",
"moduleSubItemKey": "(val)",
"questionnaireId": "(val)",
"_primaryKey": "(val)"
},
{
"completed": "(val)",
"id": "(val)",
"moduleItemCode": "(val)",
"moduleItemKey": "(val)",
"moduleSubItemCode": "(val)",
"moduleSubItemKey": "(val)",
"questionnaireId": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Answer HeadersPATCH/research-common/api/v1/answer-headers/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"completed": "(val)",
"id": "(val)",
"moduleItemCode": "(val)",
"moduleItemKey": "(val)",
"moduleSubItemCode": "(val)",
"moduleSubItemKey": "(val)",
"questionnaireId": "(val)",
"_primaryKey": "(val)"
}Insert Answer HeadersPOST/research-common/api/v1/answer-headers/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"completed": "(val)",
"id": "(val)",
"moduleItemCode": "(val)",
"moduleItemKey": "(val)",
"moduleSubItemCode": "(val)",
"moduleSubItemKey": "(val)",
"questionnaireId": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Answer HeadersPOST/research-common/api/v1/answer-headers/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"completed": "(val)",
"id": "(val)",
"moduleItemCode": "(val)",
"moduleItemKey": "(val)",
"moduleSubItemCode": "(val)",
"moduleSubItemKey": "(val)",
"questionnaireId": "(val)",
"_primaryKey": "(val)"
},
{
"completed": "(val)",
"id": "(val)",
"moduleItemCode": "(val)",
"moduleItemKey": "(val)",
"moduleSubItemCode": "(val)",
"moduleSubItemKey": "(val)",
"questionnaireId": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"completed": "(val)",
"id": "(val)",
"moduleItemCode": "(val)",
"moduleItemKey": "(val)",
"moduleSubItemCode": "(val)",
"moduleSubItemKey": "(val)",
"questionnaireId": "(val)",
"_primaryKey": "(val)"
},
{
"completed": "(val)",
"id": "(val)",
"moduleItemCode": "(val)",
"moduleItemKey": "(val)",
"moduleSubItemCode": "(val)",
"moduleSubItemKey": "(val)",
"questionnaireId": "(val)",
"_primaryKey": "(val)"
}
]Delete Answer Headers by KeyDELETE/research-common/api/v1/answer-headers/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Answer HeadersDELETE/research-common/api/v1/answer-headers/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Answer Headers with MatchingDELETE/research-common/api/v1/answer-headers/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- completed
string(optional)- id
string(optional)- moduleItemCode
string(optional)- moduleItemKey
string(optional)- moduleSubItemCode
string(optional)- moduleSubItemKey
string(optional)- questionnaireId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalAccount Types ¶
Get Account Types by KeyGET/research-common/api/v1/account-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"accountTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Get All Account TypesGET/research-common/api/v1/account-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"accountTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"accountTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get All Account Types with FilteringGET/research-common/api/v1/account-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- accountTypeCode
string(optional)Account Type Code. Maximum length is 22. Validating pattern is ^[0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"accountTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"accountTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Account TypesGET/research-common/api/v1/account-types/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"accountTypeCode",
"description"
],
"primaryKey": "accountTypeCode"
}Get Blueprint API specification for Account TypesGET/research-common/api/v1/account-types/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Account Types.md"
transfer-encoding: chunkedUpdate Account TypesPUT/research-common/api/v1/account-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"accountTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Account TypesPUT/research-common/api/v1/account-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"accountTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"accountTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Account TypesPATCH/research-common/api/v1/account-types/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"accountTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Account TypesPOST/research-common/api/v1/account-types/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"accountTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Account TypesPOST/research-common/api/v1/account-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"accountTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"accountTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"accountTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"accountTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Delete Account Types by KeyDELETE/research-common/api/v1/account-types/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Account TypesDELETE/research-common/api/v1/account-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Account Types with MatchingDELETE/research-common/api/v1/account-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- accountTypeCode
string(optional)Account Type Code. Maximum length is 22. Validating pattern is ^[0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalActivity Types ¶
Get Activity Types by KeyGET/research-common/api/v1/activity-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"code": "(val)",
"description": "(val)",
"higherEducationFunctionCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Get All Activity TypesGET/research-common/api/v1/activity-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"code": "(val)",
"description": "(val)",
"higherEducationFunctionCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"higherEducationFunctionCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Get All Activity Types with FilteringGET/research-common/api/v1/activity-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- code
string(optional)Activity Type. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
- higherEducationFunctionCode
string(optional)Higher education function code. Maximum length is 20. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- active
string(optional)Active. Maximum length is 1. Validating pattern is .*.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"code": "(val)",
"description": "(val)",
"higherEducationFunctionCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"higherEducationFunctionCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Activity TypesGET/research-common/api/v1/activity-types/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"code",
"description",
"higherEducationFunctionCode",
"active"
],
"primaryKey": "code"
}Get Blueprint API specification for Activity TypesGET/research-common/api/v1/activity-types/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Activity Types.md"
transfer-encoding: chunkedUpdate Activity TypesPUT/research-common/api/v1/activity-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"code": "(val)",
"description": "(val)",
"higherEducationFunctionCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Activity TypesPUT/research-common/api/v1/activity-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"code": "(val)",
"description": "(val)",
"higherEducationFunctionCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"higherEducationFunctionCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Activity TypesPATCH/research-common/api/v1/activity-types/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"code": "(val)",
"description": "(val)",
"higherEducationFunctionCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Insert Activity TypesPOST/research-common/api/v1/activity-types/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"code": "(val)",
"description": "(val)",
"higherEducationFunctionCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Activity TypesPOST/research-common/api/v1/activity-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"code": "(val)",
"description": "(val)",
"higherEducationFunctionCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"higherEducationFunctionCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"code": "(val)",
"description": "(val)",
"higherEducationFunctionCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"higherEducationFunctionCode": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Delete Activity Types by KeyDELETE/research-common/api/v1/activity-types/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Activity TypesDELETE/research-common/api/v1/activity-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Activity Types with MatchingDELETE/research-common/api/v1/activity-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- code
string(optional)Activity Type. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
- higherEducationFunctionCode
string(optional)Higher education function code. Maximum length is 20. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- active
string(optional)Active. Maximum length is 1. Validating pattern is .*.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalAnswers ¶
Get Answers by KeyGET/research-common/api/v1/answers/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"answer": "(val)",
"answerHeaderId": "(val)",
"answerNumber": "(val)",
"id": "(val)",
"questionId": "(val)",
"questionNumber": "(val)",
"questionnaireQuestionsId": "(val)",
"_primaryKey": "(val)"
}Get All AnswersGET/research-common/api/v1/answers/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"answer": "(val)",
"answerHeaderId": "(val)",
"answerNumber": "(val)",
"id": "(val)",
"questionId": "(val)",
"questionNumber": "(val)",
"questionnaireQuestionsId": "(val)",
"_primaryKey": "(val)"
},
{
"answer": "(val)",
"answerHeaderId": "(val)",
"answerNumber": "(val)",
"id": "(val)",
"questionId": "(val)",
"questionNumber": "(val)",
"questionnaireQuestionsId": "(val)",
"_primaryKey": "(val)"
}
]Get All Answers with FilteringGET/research-common/api/v1/answers/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- answer
string(optional)- answerHeaderId
string(optional)- answerNumber
string(optional)- id
string(optional)- questionId
string(optional)- questionNumber
string(optional)- questionnaireQuestionsId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"answer": "(val)",
"answerHeaderId": "(val)",
"answerNumber": "(val)",
"id": "(val)",
"questionId": "(val)",
"questionNumber": "(val)",
"questionnaireQuestionsId": "(val)",
"_primaryKey": "(val)"
},
{
"answer": "(val)",
"answerHeaderId": "(val)",
"answerNumber": "(val)",
"id": "(val)",
"questionId": "(val)",
"questionNumber": "(val)",
"questionnaireQuestionsId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for AnswersGET/research-common/api/v1/answers/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"answer",
"answerHeaderId",
"answerNumber",
"id",
"questionId",
"questionNumber",
"questionnaireQuestionsId"
],
"primaryKey": "id"
}Get Blueprint API specification for AnswersGET/research-common/api/v1/answers/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Answers.md"
transfer-encoding: chunkedUpdate AnswersPUT/research-common/api/v1/answers/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"answer": "(val)",
"answerHeaderId": "(val)",
"answerNumber": "(val)",
"id": "(val)",
"questionId": "(val)",
"questionNumber": "(val)",
"questionnaireQuestionsId": "(val)",
"_primaryKey": "(val)"
}204Update Multiple AnswersPUT/research-common/api/v1/answers/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"answer": "(val)",
"answerHeaderId": "(val)",
"answerNumber": "(val)",
"id": "(val)",
"questionId": "(val)",
"questionNumber": "(val)",
"questionnaireQuestionsId": "(val)",
"_primaryKey": "(val)"
},
{
"answer": "(val)",
"answerHeaderId": "(val)",
"answerNumber": "(val)",
"id": "(val)",
"questionId": "(val)",
"questionNumber": "(val)",
"questionnaireQuestionsId": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes AnswersPATCH/research-common/api/v1/answers/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"answer": "(val)",
"answerHeaderId": "(val)",
"answerNumber": "(val)",
"id": "(val)",
"questionId": "(val)",
"questionNumber": "(val)",
"questionnaireQuestionsId": "(val)",
"_primaryKey": "(val)"
}Insert AnswersPOST/research-common/api/v1/answers/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"answer": "(val)",
"answerHeaderId": "(val)",
"answerNumber": "(val)",
"id": "(val)",
"questionId": "(val)",
"questionNumber": "(val)",
"questionnaireQuestionsId": "(val)",
"_primaryKey": "(val)"
}Insert Multiple AnswersPOST/research-common/api/v1/answers/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"answer": "(val)",
"answerHeaderId": "(val)",
"answerNumber": "(val)",
"id": "(val)",
"questionId": "(val)",
"questionNumber": "(val)",
"questionnaireQuestionsId": "(val)",
"_primaryKey": "(val)"
},
{
"answer": "(val)",
"answerHeaderId": "(val)",
"answerNumber": "(val)",
"id": "(val)",
"questionId": "(val)",
"questionNumber": "(val)",
"questionnaireQuestionsId": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"answer": "(val)",
"answerHeaderId": "(val)",
"answerNumber": "(val)",
"id": "(val)",
"questionId": "(val)",
"questionNumber": "(val)",
"questionnaireQuestionsId": "(val)",
"_primaryKey": "(val)"
},
{
"answer": "(val)",
"answerHeaderId": "(val)",
"answerNumber": "(val)",
"id": "(val)",
"questionId": "(val)",
"questionNumber": "(val)",
"questionnaireQuestionsId": "(val)",
"_primaryKey": "(val)"
}
]Delete Answers by KeyDELETE/research-common/api/v1/answers/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All AnswersDELETE/research-common/api/v1/answers/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Answers with MatchingDELETE/research-common/api/v1/answers/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- answer
string(optional)- answerHeaderId
string(optional)- answerNumber
string(optional)- id
string(optional)- questionId
string(optional)- questionNumber
string(optional)- questionnaireQuestionsId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalAppointment Types ¶
Get Appointment Types by KeyGET/research-common/api/v1/appointment-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"appointmentTypeCode": "(val)",
"duration": "(val)",
"description": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"budgetPeriodTypeCode": "(val)",
"_primaryKey": "(val)"
}Get All Appointment TypesGET/research-common/api/v1/appointment-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"appointmentTypeCode": "(val)",
"duration": "(val)",
"description": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"budgetPeriodTypeCode": "(val)",
"_primaryKey": "(val)"
},
{
"appointmentTypeCode": "(val)",
"duration": "(val)",
"description": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"budgetPeriodTypeCode": "(val)",
"_primaryKey": "(val)"
}
]Get All Appointment Types with FilteringGET/research-common/api/v1/appointment-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- appointmentTypeCode
string(optional)Appointment Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- duration
string(optional)Duration. Maximum length is 8. Validating pattern is ^([0-9]{0,4}.[0-9]{1,2}|[0-9]{1,4})$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
- startDate
string(optional)Month and day that this appointment type begins. Maximum length is 5. Validating pattern is .*.
- endDate
string(optional)Month and day that this appointment type ends. Maximum length is 5. Validating pattern is .*.
- budgetPeriodTypeCode
string(optional)Budget Period Type. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"appointmentTypeCode": "(val)",
"duration": "(val)",
"description": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"budgetPeriodTypeCode": "(val)",
"_primaryKey": "(val)"
},
{
"appointmentTypeCode": "(val)",
"duration": "(val)",
"description": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"budgetPeriodTypeCode": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Appointment TypesGET/research-common/api/v1/appointment-types/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"appointmentTypeCode",
"duration",
"description",
"startDate",
"endDate",
"budgetPeriodTypeCode"
],
"primaryKey": "appointmentTypeCode"
}Get Blueprint API specification for Appointment TypesGET/research-common/api/v1/appointment-types/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Appointment Types.md"
transfer-encoding: chunkedUpdate Appointment TypesPUT/research-common/api/v1/appointment-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"appointmentTypeCode": "(val)",
"duration": "(val)",
"description": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"budgetPeriodTypeCode": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Appointment TypesPUT/research-common/api/v1/appointment-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"appointmentTypeCode": "(val)",
"duration": "(val)",
"description": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"budgetPeriodTypeCode": "(val)",
"_primaryKey": "(val)"
},
{
"appointmentTypeCode": "(val)",
"duration": "(val)",
"description": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"budgetPeriodTypeCode": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Appointment TypesPATCH/research-common/api/v1/appointment-types/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"appointmentTypeCode": "(val)",
"duration": "(val)",
"description": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"budgetPeriodTypeCode": "(val)",
"_primaryKey": "(val)"
}Insert Appointment TypesPOST/research-common/api/v1/appointment-types/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"appointmentTypeCode": "(val)",
"duration": "(val)",
"description": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"budgetPeriodTypeCode": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Appointment TypesPOST/research-common/api/v1/appointment-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"appointmentTypeCode": "(val)",
"duration": "(val)",
"description": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"budgetPeriodTypeCode": "(val)",
"_primaryKey": "(val)"
},
{
"appointmentTypeCode": "(val)",
"duration": "(val)",
"description": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"budgetPeriodTypeCode": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"appointmentTypeCode": "(val)",
"duration": "(val)",
"description": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"budgetPeriodTypeCode": "(val)",
"_primaryKey": "(val)"
},
{
"appointmentTypeCode": "(val)",
"duration": "(val)",
"description": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"budgetPeriodTypeCode": "(val)",
"_primaryKey": "(val)"
}
]Delete Appointment Types by KeyDELETE/research-common/api/v1/appointment-types/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Appointment TypesDELETE/research-common/api/v1/appointment-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Appointment Types with MatchingDELETE/research-common/api/v1/appointment-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- appointmentTypeCode
string(optional)Appointment Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- duration
string(optional)Duration. Maximum length is 8. Validating pattern is ^([0-9]{0,4}.[0-9]{1,2}|[0-9]{1,4})$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
- startDate
string(optional)Month and day that this appointment type begins. Maximum length is 5. Validating pattern is .*.
- endDate
string(optional)Month and day that this appointment type ends. Maximum length is 5. Validating pattern is .*.
- budgetPeriodTypeCode
string(optional)Budget Period Type. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalArg Value Lookups ¶
Get Arg Value Lookups by KeyGET/research-common/api/v1/arg-value-lookups/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"active": "(val)",
"argumentName": "(val)",
"description": "(val)",
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}Get All Arg Value LookupsGET/research-common/api/v1/arg-value-lookups/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"active": "(val)",
"argumentName": "(val)",
"description": "(val)",
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"active": "(val)",
"argumentName": "(val)",
"description": "(val)",
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]Get All Arg Value Lookups with FilteringGET/research-common/api/v1/arg-value-lookups/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- active
string(optional)Active. Maximum length is 1. Validating pattern is .*.
- argumentName
string(optional)Argument Name. Maximum length is 30. Validating pattern is ^[\p{Graph}]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- id
string(optional)Arg Value Lookup Id. Maximum length is 12. Validating pattern is ^[0-9]*$.
- value
string(optional)Value. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"active": "(val)",
"argumentName": "(val)",
"description": "(val)",
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"active": "(val)",
"argumentName": "(val)",
"description": "(val)",
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Arg Value LookupsGET/research-common/api/v1/arg-value-lookups/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"active",
"argumentName",
"description",
"id",
"value"
],
"primaryKey": "id"
}Get Blueprint API specification for Arg Value LookupsGET/research-common/api/v1/arg-value-lookups/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Arg Value Lookups.md"
transfer-encoding: chunkedUpdate Arg Value LookupsPUT/research-common/api/v1/arg-value-lookups/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"active": "(val)",
"argumentName": "(val)",
"description": "(val)",
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Arg Value LookupsPUT/research-common/api/v1/arg-value-lookups/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"active": "(val)",
"argumentName": "(val)",
"description": "(val)",
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"active": "(val)",
"argumentName": "(val)",
"description": "(val)",
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Arg Value LookupsPATCH/research-common/api/v1/arg-value-lookups/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"active": "(val)",
"argumentName": "(val)",
"description": "(val)",
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}Insert Arg Value LookupsPOST/research-common/api/v1/arg-value-lookups/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"active": "(val)",
"argumentName": "(val)",
"description": "(val)",
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Arg Value LookupsPOST/research-common/api/v1/arg-value-lookups/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"active": "(val)",
"argumentName": "(val)",
"description": "(val)",
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"active": "(val)",
"argumentName": "(val)",
"description": "(val)",
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"active": "(val)",
"argumentName": "(val)",
"description": "(val)",
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"active": "(val)",
"argumentName": "(val)",
"description": "(val)",
"id": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]Delete Arg Value Lookups by KeyDELETE/research-common/api/v1/arg-value-lookups/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Arg Value LookupsDELETE/research-common/api/v1/arg-value-lookups/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Arg Value Lookups with MatchingDELETE/research-common/api/v1/arg-value-lookups/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- active
string(optional)Active. Maximum length is 1. Validating pattern is .*.
- argumentName
string(optional)Argument Name. Maximum length is 30. Validating pattern is ^[\p{Graph}]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- id
string(optional)Arg Value Lookup Id. Maximum length is 12. Validating pattern is ^[0-9]*$.
- value
string(optional)Value. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalAttachment Files ¶
Get Attachment Files by KeyGET/research-common/api/v1/attachment-files/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"data": "(val)",
"fileDataId": "(val)",
"id": "(val)",
"name": "(val)",
"sequenceNumber": "(val)",
"type": "(val)",
"_primaryKey": "(val)"
}Get All Attachment FilesGET/research-common/api/v1/attachment-files/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"data": "(val)",
"fileDataId": "(val)",
"id": "(val)",
"name": "(val)",
"sequenceNumber": "(val)",
"type": "(val)",
"_primaryKey": "(val)"
},
{
"data": "(val)",
"fileDataId": "(val)",
"id": "(val)",
"name": "(val)",
"sequenceNumber": "(val)",
"type": "(val)",
"_primaryKey": "(val)"
}
]Get All Attachment Files with FilteringGET/research-common/api/v1/attachment-files/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- data
string(optional)- fileDataId
string(optional)- id
string(optional)Id. Maximum length is 36. Validating pattern is ^[\p{Graph}]*$.
- name
string(optional)File Name. Maximum length is 150. Validating pattern is ^[\u0000-\uFFFF]*$.
- sequenceNumber
string(optional)- type
string(optional)Type. Maximum length is 250. Validating pattern is ^[\p{Graph}\p{Space}]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"data": "(val)",
"fileDataId": "(val)",
"id": "(val)",
"name": "(val)",
"sequenceNumber": "(val)",
"type": "(val)",
"_primaryKey": "(val)"
},
{
"data": "(val)",
"fileDataId": "(val)",
"id": "(val)",
"name": "(val)",
"sequenceNumber": "(val)",
"type": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Attachment FilesGET/research-common/api/v1/attachment-files/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"data",
"fileDataId",
"id",
"name",
"sequenceNumber",
"type"
],
"primaryKey": "id"
}Get Blueprint API specification for Attachment FilesGET/research-common/api/v1/attachment-files/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Attachment Files.md"
transfer-encoding: chunkedUpdate Attachment FilesPUT/research-common/api/v1/attachment-files/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"data": "(val)",
"fileDataId": "(val)",
"id": "(val)",
"name": "(val)",
"sequenceNumber": "(val)",
"type": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Attachment FilesPUT/research-common/api/v1/attachment-files/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"data": "(val)",
"fileDataId": "(val)",
"id": "(val)",
"name": "(val)",
"sequenceNumber": "(val)",
"type": "(val)",
"_primaryKey": "(val)"
},
{
"data": "(val)",
"fileDataId": "(val)",
"id": "(val)",
"name": "(val)",
"sequenceNumber": "(val)",
"type": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Attachment FilesPATCH/research-common/api/v1/attachment-files/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"data": "(val)",
"fileDataId": "(val)",
"id": "(val)",
"name": "(val)",
"sequenceNumber": "(val)",
"type": "(val)",
"_primaryKey": "(val)"
}Insert Attachment FilesPOST/research-common/api/v1/attachment-files/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"data": "(val)",
"fileDataId": "(val)",
"id": "(val)",
"name": "(val)",
"sequenceNumber": "(val)",
"type": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Attachment FilesPOST/research-common/api/v1/attachment-files/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"data": "(val)",
"fileDataId": "(val)",
"id": "(val)",
"name": "(val)",
"sequenceNumber": "(val)",
"type": "(val)",
"_primaryKey": "(val)"
},
{
"data": "(val)",
"fileDataId": "(val)",
"id": "(val)",
"name": "(val)",
"sequenceNumber": "(val)",
"type": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"data": "(val)",
"fileDataId": "(val)",
"id": "(val)",
"name": "(val)",
"sequenceNumber": "(val)",
"type": "(val)",
"_primaryKey": "(val)"
},
{
"data": "(val)",
"fileDataId": "(val)",
"id": "(val)",
"name": "(val)",
"sequenceNumber": "(val)",
"type": "(val)",
"_primaryKey": "(val)"
}
]Delete Attachment Files by KeyDELETE/research-common/api/v1/attachment-files/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Attachment FilesDELETE/research-common/api/v1/attachment-files/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Attachment Files with MatchingDELETE/research-common/api/v1/attachment-files/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- data
string(optional)- fileDataId
string(optional)- id
string(optional)Id. Maximum length is 36. Validating pattern is ^[\p{Graph}]*$.
- name
string(optional)File Name. Maximum length is 150. Validating pattern is ^[\u0000-\uFFFF]*$.
- sequenceNumber
string(optional)- type
string(optional)Type. Maximum length is 250. Validating pattern is ^[\p{Graph}\p{Space}]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBudget Categories ¶
Get Budget Categories by KeyGET/research-common/api/v1/budget-categories/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"budgetCategoryTypeCode": "(val)",
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Get All Budget CategoriesGET/research-common/api/v1/budget-categories/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"budgetCategoryTypeCode": "(val)",
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"budgetCategoryTypeCode": "(val)",
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get All Budget Categories with FilteringGET/research-common/api/v1/budget-categories/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- budgetCategoryTypeCode
string(optional)Category Type. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- code
string(optional)Budget Category Code. Maximum length is 3. Validating pattern is ^[0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"budgetCategoryTypeCode": "(val)",
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"budgetCategoryTypeCode": "(val)",
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Budget CategoriesGET/research-common/api/v1/budget-categories/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"budgetCategoryTypeCode",
"code",
"description"
],
"primaryKey": "code"
}Get Blueprint API specification for Budget CategoriesGET/research-common/api/v1/budget-categories/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Categories.md"
transfer-encoding: chunkedUpdate Budget CategoriesPUT/research-common/api/v1/budget-categories/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"budgetCategoryTypeCode": "(val)",
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Budget CategoriesPUT/research-common/api/v1/budget-categories/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"budgetCategoryTypeCode": "(val)",
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"budgetCategoryTypeCode": "(val)",
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Budget CategoriesPATCH/research-common/api/v1/budget-categories/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"budgetCategoryTypeCode": "(val)",
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Budget CategoriesPOST/research-common/api/v1/budget-categories/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"budgetCategoryTypeCode": "(val)",
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Budget CategoriesPOST/research-common/api/v1/budget-categories/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"budgetCategoryTypeCode": "(val)",
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"budgetCategoryTypeCode": "(val)",
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"budgetCategoryTypeCode": "(val)",
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"budgetCategoryTypeCode": "(val)",
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Delete Budget Categories by KeyDELETE/research-common/api/v1/budget-categories/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget CategoriesDELETE/research-common/api/v1/budget-categories/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Budget Categories with MatchingDELETE/research-common/api/v1/budget-categories/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- budgetCategoryTypeCode
string(optional)Category Type. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- code
string(optional)Budget Category Code. Maximum length is 3. Validating pattern is ^[0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBudget Category Mappings ¶
Get Budget Category Mappings by KeyGET/research-common/api/v1/budget-category-mappings/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"budgetCategoryCode": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
}Get All Budget Category MappingsGET/research-common/api/v1/budget-category-mappings/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"budgetCategoryCode": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
},
{
"budgetCategoryCode": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
}
]Get All Budget Category Mappings with FilteringGET/research-common/api/v1/budget-category-mappings/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- budgetCategoryCode
string(optional)Budget Category Code. Maximum length is 3. Validating pattern is ^[0-9]*$.
- mappingName
string(optional)Mapping Name. Maximum length is 100. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- targetCategoryCode
string(optional)Target Category Code. Maximum length is 15. Validating pattern is ^[A-Za-z0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"budgetCategoryCode": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
},
{
"budgetCategoryCode": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Budget Category MappingsGET/research-common/api/v1/budget-category-mappings/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"budgetCategoryCode",
"mappingName",
"targetCategoryCode"
],
"primaryKey": "budgetCategoryCode:mappingName:targetCategoryCode"
}Get Blueprint API specification for Budget Category MappingsGET/research-common/api/v1/budget-category-mappings/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Category Mappings.md"
transfer-encoding: chunkedUpdate Budget Category MappingsPUT/research-common/api/v1/budget-category-mappings/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"budgetCategoryCode": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Budget Category MappingsPUT/research-common/api/v1/budget-category-mappings/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"budgetCategoryCode": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
},
{
"budgetCategoryCode": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Budget Category MappingsPATCH/research-common/api/v1/budget-category-mappings/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"budgetCategoryCode": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
}Insert Budget Category MappingsPOST/research-common/api/v1/budget-category-mappings/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"budgetCategoryCode": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Budget Category MappingsPOST/research-common/api/v1/budget-category-mappings/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"budgetCategoryCode": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
},
{
"budgetCategoryCode": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"budgetCategoryCode": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
},
{
"budgetCategoryCode": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
}
]Delete Budget Category Mappings by KeyDELETE/research-common/api/v1/budget-category-mappings/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Category MappingsDELETE/research-common/api/v1/budget-category-mappings/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Budget Category Mappings with MatchingDELETE/research-common/api/v1/budget-category-mappings/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- budgetCategoryCode
string(optional)Budget Category Code. Maximum length is 3. Validating pattern is ^[0-9]*$.
- mappingName
string(optional)Mapping Name. Maximum length is 100. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- targetCategoryCode
string(optional)Target Category Code. Maximum length is 15. Validating pattern is ^[A-Za-z0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBudget Category Maps ¶
Get Budget Category Maps by KeyGET/research-common/api/v1/budget-category-maps/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"categoryType": "(val)",
"description": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
}Get All Budget Category MapsGET/research-common/api/v1/budget-category-maps/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"categoryType": "(val)",
"description": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
},
{
"categoryType": "(val)",
"description": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
}
]Get All Budget Category Maps with FilteringGET/research-common/api/v1/budget-category-maps/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- categoryType
string(optional)Category Type. Maximum length is 200. Validating pattern is ^[\p{Graph}]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
- mappingName
string(optional)Mapping Name. Maximum length is 100. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- targetCategoryCode
string(optional)Target Category Code. Maximum length is 15. Validating pattern is ^[A-Za-z0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"categoryType": "(val)",
"description": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
},
{
"categoryType": "(val)",
"description": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Budget Category MapsGET/research-common/api/v1/budget-category-maps/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"categoryType",
"description",
"mappingName",
"targetCategoryCode"
],
"primaryKey": "mappingName:targetCategoryCode"
}Get Blueprint API specification for Budget Category MapsGET/research-common/api/v1/budget-category-maps/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Category Maps.md"
transfer-encoding: chunkedUpdate Budget Category MapsPUT/research-common/api/v1/budget-category-maps/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"categoryType": "(val)",
"description": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Budget Category MapsPUT/research-common/api/v1/budget-category-maps/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"categoryType": "(val)",
"description": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
},
{
"categoryType": "(val)",
"description": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Budget Category MapsPATCH/research-common/api/v1/budget-category-maps/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"categoryType": "(val)",
"description": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
}Insert Budget Category MapsPOST/research-common/api/v1/budget-category-maps/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"categoryType": "(val)",
"description": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Budget Category MapsPOST/research-common/api/v1/budget-category-maps/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"categoryType": "(val)",
"description": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
},
{
"categoryType": "(val)",
"description": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"categoryType": "(val)",
"description": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
},
{
"categoryType": "(val)",
"description": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
}
]Delete Budget Category Maps by KeyDELETE/research-common/api/v1/budget-category-maps/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Category MapsDELETE/research-common/api/v1/budget-category-maps/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Budget Category Maps with MatchingDELETE/research-common/api/v1/budget-category-maps/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- categoryType
string(optional)Category Type. Maximum length is 200. Validating pattern is ^[\p{Graph}]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
- mappingName
string(optional)Mapping Name. Maximum length is 100. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- targetCategoryCode
string(optional)Target Category Code. Maximum length is 15. Validating pattern is ^[A-Za-z0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBudget Category Types ¶
Get Budget Category Types by KeyGET/research-common/api/v1/budget-category-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"code": "(val)",
"description": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
}Get All Budget Category TypesGET/research-common/api/v1/budget-category-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"code": "(val)",
"description": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
}
]Get All Budget Category Types with FilteringGET/research-common/api/v1/budget-category-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- code
string(optional)Budget Category Type. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
- sortId
string(optional)This sort id is used for sorting budget category. Maximum length is 2. Validating pattern is ^[0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"code": "(val)",
"description": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Budget Category TypesGET/research-common/api/v1/budget-category-types/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"code",
"description",
"sortId"
],
"primaryKey": "code"
}Get Blueprint API specification for Budget Category TypesGET/research-common/api/v1/budget-category-types/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Category Types.md"
transfer-encoding: chunkedUpdate Budget Category TypesPUT/research-common/api/v1/budget-category-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"code": "(val)",
"description": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Budget Category TypesPUT/research-common/api/v1/budget-category-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"code": "(val)",
"description": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Budget Category TypesPATCH/research-common/api/v1/budget-category-types/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"code": "(val)",
"description": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
}Insert Budget Category TypesPOST/research-common/api/v1/budget-category-types/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"code": "(val)",
"description": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Budget Category TypesPOST/research-common/api/v1/budget-category-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"code": "(val)",
"description": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"code": "(val)",
"description": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
}
]Delete Budget Category Types by KeyDELETE/research-common/api/v1/budget-category-types/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Category TypesDELETE/research-common/api/v1/budget-category-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Budget Category Types with MatchingDELETE/research-common/api/v1/budget-category-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- code
string(optional)Budget Category Type. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
- sortId
string(optional)This sort id is used for sorting budget category. Maximum length is 2. Validating pattern is ^[0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBudget Formulated Cost Details ¶
Get Budget Formulated Cost Details by KeyGET/research-common/api/v1/budget-formulated-cost-details/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"budgetFormulatedCostDetailId": "(val)",
"formulatedNumber": "(val)",
"formulatedTypeCode": "(val)",
"unitCost": "(val)",
"count": "(val)",
"frequency": "(val)",
"calculatedExpenses": "(val)",
"_primaryKey": "(val)"
}Get All Budget Formulated Cost DetailsGET/research-common/api/v1/budget-formulated-cost-details/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"budgetFormulatedCostDetailId": "(val)",
"formulatedNumber": "(val)",
"formulatedTypeCode": "(val)",
"unitCost": "(val)",
"count": "(val)",
"frequency": "(val)",
"calculatedExpenses": "(val)",
"_primaryKey": "(val)"
},
{
"budgetFormulatedCostDetailId": "(val)",
"formulatedNumber": "(val)",
"formulatedTypeCode": "(val)",
"unitCost": "(val)",
"count": "(val)",
"frequency": "(val)",
"calculatedExpenses": "(val)",
"_primaryKey": "(val)"
}
]Get All Budget Formulated Cost Details with FilteringGET/research-common/api/v1/budget-formulated-cost-details/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- budgetFormulatedCostDetailId
string(optional)Budget Formulated Cost Detail Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- formulatedNumber
string(optional)Formulated Number. Maximum length is 22. Validating pattern is ^[0-9]*$.
- formulatedTypeCode
string(optional)Formulated Type. Maximum length is 50. Validating pattern is ^[A-Za-z0-9]*$.
- unitCost
string(optional)Unit Cost. Maximum length is 15. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.
- count
string(optional)Count. Maximum length is 5. Validating pattern is ^[0-9]*$.
- frequency
string(optional)Frequency. Maximum length is 5. Validating pattern is ^[0-9]*$.
- calculatedExpenses
string(optional)Calculated Expenses. Maximum length is 15. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"budgetFormulatedCostDetailId": "(val)",
"formulatedNumber": "(val)",
"formulatedTypeCode": "(val)",
"unitCost": "(val)",
"count": "(val)",
"frequency": "(val)",
"calculatedExpenses": "(val)",
"_primaryKey": "(val)"
},
{
"budgetFormulatedCostDetailId": "(val)",
"formulatedNumber": "(val)",
"formulatedTypeCode": "(val)",
"unitCost": "(val)",
"count": "(val)",
"frequency": "(val)",
"calculatedExpenses": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Budget Formulated Cost DetailsGET/research-common/api/v1/budget-formulated-cost-details/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"budgetFormulatedCostDetailId",
"formulatedNumber",
"formulatedTypeCode",
"unitCost",
"count",
"frequency",
"calculatedExpenses"
],
"primaryKey": "budgetFormulatedCostDetailId"
}Get Blueprint API specification for Budget Formulated Cost DetailsGET/research-common/api/v1/budget-formulated-cost-details/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Formulated Cost Details.md"
transfer-encoding: chunkedUpdate Budget Formulated Cost DetailsPUT/research-common/api/v1/budget-formulated-cost-details/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"budgetFormulatedCostDetailId": "(val)",
"formulatedNumber": "(val)",
"formulatedTypeCode": "(val)",
"unitCost": "(val)",
"count": "(val)",
"frequency": "(val)",
"calculatedExpenses": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Budget Formulated Cost DetailsPUT/research-common/api/v1/budget-formulated-cost-details/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"budgetFormulatedCostDetailId": "(val)",
"formulatedNumber": "(val)",
"formulatedTypeCode": "(val)",
"unitCost": "(val)",
"count": "(val)",
"frequency": "(val)",
"calculatedExpenses": "(val)",
"_primaryKey": "(val)"
},
{
"budgetFormulatedCostDetailId": "(val)",
"formulatedNumber": "(val)",
"formulatedTypeCode": "(val)",
"unitCost": "(val)",
"count": "(val)",
"frequency": "(val)",
"calculatedExpenses": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Budget Formulated Cost DetailsPATCH/research-common/api/v1/budget-formulated-cost-details/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"budgetFormulatedCostDetailId": "(val)",
"formulatedNumber": "(val)",
"formulatedTypeCode": "(val)",
"unitCost": "(val)",
"count": "(val)",
"frequency": "(val)",
"calculatedExpenses": "(val)",
"_primaryKey": "(val)"
}Insert Budget Formulated Cost DetailsPOST/research-common/api/v1/budget-formulated-cost-details/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"budgetFormulatedCostDetailId": "(val)",
"formulatedNumber": "(val)",
"formulatedTypeCode": "(val)",
"unitCost": "(val)",
"count": "(val)",
"frequency": "(val)",
"calculatedExpenses": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Budget Formulated Cost DetailsPOST/research-common/api/v1/budget-formulated-cost-details/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"budgetFormulatedCostDetailId": "(val)",
"formulatedNumber": "(val)",
"formulatedTypeCode": "(val)",
"unitCost": "(val)",
"count": "(val)",
"frequency": "(val)",
"calculatedExpenses": "(val)",
"_primaryKey": "(val)"
},
{
"budgetFormulatedCostDetailId": "(val)",
"formulatedNumber": "(val)",
"formulatedTypeCode": "(val)",
"unitCost": "(val)",
"count": "(val)",
"frequency": "(val)",
"calculatedExpenses": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"budgetFormulatedCostDetailId": "(val)",
"formulatedNumber": "(val)",
"formulatedTypeCode": "(val)",
"unitCost": "(val)",
"count": "(val)",
"frequency": "(val)",
"calculatedExpenses": "(val)",
"_primaryKey": "(val)"
},
{
"budgetFormulatedCostDetailId": "(val)",
"formulatedNumber": "(val)",
"formulatedTypeCode": "(val)",
"unitCost": "(val)",
"count": "(val)",
"frequency": "(val)",
"calculatedExpenses": "(val)",
"_primaryKey": "(val)"
}
]Delete Budget Formulated Cost Details by KeyDELETE/research-common/api/v1/budget-formulated-cost-details/(key)
Example URI
[...]
